diff --git a/framework/source/fwe/xml/toolboxdocumenthandler.cxx b/framework/source/fwe/xml/toolboxdocumenthandler.cxx
index c8c550b..12cf7e1 100644
--- a/framework/source/fwe/xml/toolboxdocumenthandler.cxx
+++ b/framework/source/fwe/xml/toolboxdocumenthandler.cxx
@@ -47,7 +47,7 @@ namespace framework
 {
 
 // Property names of a menu/menu item ItemDescriptor
-static const char ITEM_DESCRIPTOR_COMMANDURL[]  = "CommandURL";
+static const char ITEM_DESCRIPTOR_ACTIONURL[]   = "ActionURL";
 static const char ITEM_DESCRIPTOR_HELPURL[]     = "HelpURL";
 static const char ITEM_DESCRIPTOR_LABEL[]       = "Label";
 static const char ITEM_DESCRIPTOR_TYPE[]        = "Type";
@@ -55,7 +55,7 @@ static const char ITEM_DESCRIPTOR_STYLE[]       = "Style";
 static const char ITEM_DESCRIPTOR_VISIBLE[]     = "IsVisible";
 
 static void ExtractToolbarParameters( const Sequence< PropertyValue >& rProp,
-                                      OUString&                        rCommandURL,
+                                      OUString&                        rActionURL,
                                       OUString&                        rLabel,
                                       OUString&                        rHelpURL,
                                       sal_Int16&                       rStyle,
@@ -64,10 +64,17 @@ static void ExtractToolbarParameters( const Sequence< PropertyValue >& rProp,
 {
     for ( sal_Int32 i = 0; i < rProp.getLength(); i++ )
     {
-        if ( rProp[i].Name == ITEM_DESCRIPTOR_COMMANDURL )
+        if ( rProp[i].Name == ITEM_DESCRIPTOR_ACTIONURL )
         {
-            rProp[i].Value >>= rCommandURL;
-            rCommandURL = rCommandURL.intern();
+            rProp[i].Value >>= rActionURL;
+            rActionURL = rActionURL.intern();
+        }
+        else if ( rProp[i].Name == "CommandURL" )
+        {
+            SAL_WARN( "framework.fwe", "\"CommandURL\" to \"ActionURL\" in ExtractToolbarParameters" );
+            rProp[i].Value >>= rActionURL;
+            rActionURL = rActionURL.intern();
+            ///rProp[i].Name = ITEM_DESCRIPTOR_ACTIONURL;
         }
         else if ( rProp[i].Name == ITEM_DESCRIPTOR_HELPURL )
             rProp[i].Value >>= rHelpURL;
@@ -129,7 +136,7 @@ OReadToolBoxDocumentHandler::OReadToolBoxDocumentHandler( const Reference< XInde
     m_aStyle( ITEM_DESCRIPTOR_STYLE ),
     m_aHelpURL( ITEM_DESCRIPTOR_HELPURL ),
     m_aIsVisible( ITEM_DESCRIPTOR_VISIBLE ),
-    m_aCommandURL( ITEM_DESCRIPTOR_COMMANDURL )
+    m_aActionURL( ITEM_DESCRIPTOR_ACTIONURL )
  {
     OUString aNamespaceToolBar( XMLNS_TOOLBAR );
     OUString aNamespaceXLink( XMLNS_XLINK );
@@ -190,7 +197,7 @@ throw(  SAXException, RuntimeException, std::exception )
     if ( m_bToolBarStartFound )
     {
         OUString aErrorMessage = getErrorLineString();
-        aErrorMessage += "No matching start or end element 'toolbar' found!";
+        aErrorMessage += "No top or bottom toolbar found";
         throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
     }
 }
@@ -211,7 +218,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( m_bToolBarStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element 'toolbar:toolbar' cannot be embedded into 'toolbar:toolbar'!";
+                    aErrorMessage += "toolbar:toolbar is embedded into toolbar:toolbar? no way";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
                 else
@@ -259,7 +266,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !m_bToolBarStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element 'toolbar:toolbaritem' must be embedded into element 'toolbar:toolbar'!";
+                    aErrorMessage += "toolbar:toolbaritem is supposed to be embedded into toolbar:toolbar";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -269,7 +276,7 @@ throw(  SAXException, RuntimeException, std::exception )
                      m_bToolBarItemStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element toolbar:toolbaritem is not a container!";
+                    aErrorMessage += "toolbar:toolbaritem is not a container";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -277,7 +284,7 @@ throw(  SAXException, RuntimeException, std::exception )
 
                 m_bToolBarItemStartFound = true;
                 OUString        aLabel;
-                OUString        aCommandURL;
+                OUString        aActionURL;
                 OUString        aHelpURL;
                 sal_uInt16      nItemBits( 0 );
                 bool            bVisible( true );
@@ -298,7 +305,7 @@ throw(  SAXException, RuntimeException, std::exception )
                             case TB_ATTRIBUTE_URL:
                             {
                                 bAttributeURL   = true;
-                                aCommandURL     = xAttribs->getValueByIndex( n ).intern();
+                                aActionURL     = xAttribs->getValueByIndex( n ).intern();
                             }
                             break;
 
@@ -311,7 +318,7 @@ throw(  SAXException, RuntimeException, std::exception )
                                 else
                                 {
                                     OUString aErrorMessage = getErrorLineString();
-                                    aErrorMessage += "Attribute toolbar:visible must have value 'true' or 'false'!";
+                                    aErrorMessage += "value of attribute toolbar:visible is either `true' or `false'";
                                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                                 }
                             }
@@ -366,14 +373,14 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !bAttributeURL )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Required attribute toolbar:url must have a value!";
+                    aErrorMessage += "where's a value for attribute toolbar:url?";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
-                if ( !aCommandURL.isEmpty() )
+                if ( !aActionURL.isEmpty() )
                 {
                     Sequence< PropertyValue > aToolbarItemProp( 6 );
-                    aToolbarItemProp[0].Name = m_aCommandURL;
+                    aToolbarItemProp[0].Name = m_aActionURL;
                     aToolbarItemProp[1].Name = m_aHelpURL;
                     aToolbarItemProp[2].Name = m_aLabel;
                     aToolbarItemProp[3].Name = m_aType;
@@ -383,21 +390,21 @@ throw(  SAXException, RuntimeException, std::exception )
                     //fix for fdo#39370
                     /// check whether RTL interface or not
                     if(AllSettings::GetLayoutRTL()){
-                        if (aCommandURL == ".uno:ParaLeftToRight")
-                            aCommandURL = ".uno:ParaRightToLeft";
-                        else if (aCommandURL == ".uno:ParaRightToLeft")
-                            aCommandURL = ".uno:ParaLeftToRight";
-                        else if (aCommandURL == ".uno:LeftPara")
-                            aCommandURL = ".uno:RightPara";
-                        else if (aCommandURL == ".uno:RightPara")
-                            aCommandURL = ".uno:LeftPara";
-                        else if (aCommandURL == ".uno:AlignLeft")
-                            aCommandURL = ".uno:AlignRight";
-                        else if (aCommandURL == ".uno:AlignRight")
-                            aCommandURL = ".uno:AlignLeft";
+                        if (aActionURL == ".uno:ParaLeftToRight")
+                            aActionURL = ".uno:ParaRightToLeft";
+                        else if (aActionURL == ".uno:ParaRightToLeft")
+                            aActionURL = ".uno:ParaLeftToRight";
+                        else if (aActionURL == ".uno:LeftPara")
+                            aActionURL = ".uno:RightPara";
+                        else if (aActionURL == ".uno:RightPara")
+                            aActionURL = ".uno:LeftPara";
+                        else if (aActionURL == ".uno:AlignLeft")
+                            aActionURL = ".uno:AlignRight";
+                        else if (aActionURL == ".uno:AlignRight")
+                            aActionURL = ".uno:AlignLeft";
                     }
 
-                    aToolbarItemProp[0].Value <<= aCommandURL;
+                    aToolbarItemProp[0].Value <<= aActionURL;
                     aToolbarItemProp[1].Value <<= aHelpURL;
                     aToolbarItemProp[2].Value <<= aLabel;
                     aToolbarItemProp[3].Value = makeAny( css::ui::ItemType::DEFAULT );
@@ -417,14 +424,14 @@ throw(  SAXException, RuntimeException, std::exception )
                      m_bToolBarItemStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element toolbar:toolbarspace is not a container!";
+                    aErrorMessage += "toolbar:toolbarspace is not a container";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
                 m_bToolBarSpaceStartFound = true;
 
                 Sequence< PropertyValue > aToolbarItemProp( 2 );
-                aToolbarItemProp[0].Name = m_aCommandURL;
+                aToolbarItemProp[0].Name = m_aActionURL;
                 aToolbarItemProp[1].Name = m_aType;
 
                 aToolbarItemProp[0].Value <<= OUString();
@@ -442,14 +449,14 @@ throw(  SAXException, RuntimeException, std::exception )
                      m_bToolBarItemStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element toolbar:toolbarbreak is not a container!";
+                    aErrorMessage += "toolbar:toolbarbreak is not a container";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
                 m_bToolBarBreakStartFound = true;
 
                 Sequence< PropertyValue > aToolbarItemProp( 2 );
-                aToolbarItemProp[0].Name = m_aCommandURL;
+                aToolbarItemProp[0].Name = m_aActionURL;
                 aToolbarItemProp[1].Name = m_aType;
 
                 aToolbarItemProp[0].Value <<= OUString();
@@ -467,14 +474,14 @@ throw(  SAXException, RuntimeException, std::exception )
                      m_bToolBarItemStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "Element toolbar:toolbarseparator is not a container!";
+                    aErrorMessage += "toolbar:toolbarseparator is not a container";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
                 m_bToolBarSeparatorStartFound = true;
 
                 Sequence< PropertyValue > aToolbarItemProp( 2 );
-                aToolbarItemProp[0].Name = m_aCommandURL;
+                aToolbarItemProp[0].Name = m_aActionURL;
                 aToolbarItemProp[1].Name = m_aType;
 
                 aToolbarItemProp[0].Value <<= OUString();
@@ -505,7 +512,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !m_bToolBarStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "End element 'toolbar' found, but no start element 'toolbar'";
+                    aErrorMessage += "bottom element `toolbar' found but no top one";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -518,7 +525,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !m_bToolBarItemStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "End element 'toolbar:toolbaritem' found, but no start element 'toolbar:toolbaritem'";
+                    aErrorMessage += "bottom element `toolbar:toolbaritem' found but no top one";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -531,7 +538,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !m_bToolBarBreakStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "End element 'toolbar:toolbarbreak' found, but no start element 'toolbar:toolbarbreak'";
+                    aErrorMessage += "bottom element `toolbar:toolbarbreak' found but no top one";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -544,7 +551,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !m_bToolBarSpaceStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "End element 'toolbar:toolbarspace' found, but no start element 'toolbar:toolbarspace'";
+                    aErrorMessage += "bottom element `toolbar:toolbarspace' found but no top one";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -557,7 +564,7 @@ throw(  SAXException, RuntimeException, std::exception )
                 if ( !m_bToolBarSeparatorStartFound )
                 {
                     OUString aErrorMessage = getErrorLineString();
-                    aErrorMessage += "End element 'toolbar:toolbarseparator' found, but no start element 'toolbar:toolbarseparator'";
+                    aErrorMessage += "bottom element `toolbar:toolbarseparator' found but no top one";
                     throw SAXException( aErrorMessage, Reference< XInterface >(), Any() );
                 }
 
@@ -582,7 +589,7 @@ throw(  SAXException, RuntimeException, std::exception )
 }
 
 void SAL_CALL OReadToolBoxDocumentHandler::processingInstruction(
-    const OUString& /*aTarget*/, const OUString& /*aData*/ )
+    const OUString& /*aRecipient*/, const OUString& /*aData*/ )
 throw(  SAXException, RuntimeException, std::exception )
 {
 }
@@ -685,16 +692,16 @@ void OWriteToolBoxDocumentHandler::WriteToolBoxDocument() throw
         aAny = m_rItemAccess->getByIndex( nItemPos );
         if ( aAny >>= aProps )
         {
-            OUString    aCommandURL;
+            OUString    aActionURL;
             OUString    aLabel;
             OUString    aHelpURL;
             bool    bVisible( true );
             sal_Int16   nType( css::ui::ItemType::DEFAULT );
             sal_Int16   nStyle( 0 );
 
-            ExtractToolbarParameters( aProps, aCommandURL, aLabel, aHelpURL, nStyle, bVisible, nType );
+            ExtractToolbarParameters( aProps, aActionURL, aLabel, aHelpURL, nStyle, bVisible, nType );
             if ( nType == css::ui::ItemType::DEFAULT )
-                WriteToolBoxItem( aCommandURL, aLabel, aHelpURL, nStyle, bVisible );
+                WriteToolBoxItem( aActionURL, aLabel, aHelpURL, nStyle, bVisible );
             else if ( nType == css::ui::ItemType::SEPARATOR_SPACE )
                 WriteToolBoxSpace();
             else if ( nType == css::ui::ItemType::SEPARATOR_LINE )
@@ -713,7 +720,7 @@ void OWriteToolBoxDocumentHandler::WriteToolBoxDocument() throw
 //  protected member functions
 
 void OWriteToolBoxDocumentHandler::WriteToolBoxItem(
-    const OUString& rCommandURL,
+    const OUString& rActionURL,
     const OUString& rLabel,
     const OUString& rHelpURL,
     sal_Int16       nStyle,
@@ -729,7 +736,7 @@ throw ( SAXException, RuntimeException )
     }
 
     // save required attribute (URL)
-    pList->AddAttribute( m_aAttributeURL, m_aAttributeType, rCommandURL );
+    pList->AddAttribute( m_aAttributeURL, m_aAttributeType, rActionURL );
 
     if ( !rLabel.isEmpty() )
     {
diff --git a/framework/source/fwi/classes/protocolhandlercache.cxx b/framework/source/fwi/classes/protocolhandlercache.cxx
index dc7c3b4..2e851a5 100644
--- a/framework/source/fwi/classes/protocolhandlercache.cxx
+++ b/framework/source/fwi/classes/protocolhandlercache.cxx
@@ -202,41 +202,41 @@ void HandlerCFGAccess::read( HandlerHash** ppHandler ,
 {
     // list of all uno implementation names without encoding
     css::uno::Sequence< OUString > lNames = GetNodeNames( SETNAME_HANDLER, ::utl::CONFIG_NAME_LOCAL_PATH );
-    sal_Int32 nSourceCount = lNames.getLength();
-    sal_Int32 nTargetCount = nSourceCount;
+    sal_Int32 nOriginCount = lNames.getLength();
+    sal_Int32 nRecipientCount = nOriginCount;
     // list of all full qualified path names of configuration entries
-    css::uno::Sequence< OUString > lFullNames ( nTargetCount );
+    css::uno::Sequence< OUString > lFullNames ( nRecipientCount );
 
     // expand names to full path names
-    sal_Int32 nSource=0;
-    sal_Int32 nTarget=0;
-    for( nSource=0; nSource<nSourceCount; ++nSource )
+    sal_Int32 nOrigin = 0;
+    sal_Int32 nRecipient = 0;
+    for( nOrigin = 0; nOrigin < nOriginCount; ++nOrigin )
     {
         OUStringBuffer sPath( SETNAME_HANDLER );
         sPath.append(CFG_PATH_SEPARATOR);
-        sPath.append(lNames[nSource]);
+        sPath.append( lNames[ nOrigin ] );
         sPath.append(CFG_PATH_SEPARATOR);
         sPath.append(PROPERTY_PROTOCOLS);
 
-        lFullNames[nTarget]  = sPath.makeStringAndClear();
-        ++nTarget;
+        lFullNames[ nRecipient ] = sPath.makeStringAndClear();
+        ++nRecipient;
     }
 
     // get values at all
     css::uno::Sequence< css::uno::Any > lValues = GetProperties( lFullNames );
-    SAL_WARN_IF( lFullNames.getLength()!=lValues.getLength(), "fwk", "HandlerCFGAccess::read(): Miss some configuration values of handler set!" );
+    SAL_WARN_IF( lFullNames.getLength()!=lValues.getLength(), "fwk", "HandlerCFGAccess::read(): Miss some configuration values of handler set" );
 
     // fill structures
-    nSource = 0;
-    for( nTarget=0; nTarget<nTargetCount; ++nTarget )
+    nOrigin = 0;
+    for( nRecipient = 0; nRecipient < nRecipientCount; ++nRecipient )
     {
-        // create it new for every loop to guarantee a real empty object!
+        // create it new for every loop to guarantee a real empty object
         ProtocolHandler aHandler;
-        aHandler.m_sUNOName = ::utl::extractFirstFromConfigurationPath(lNames[nSource]);
+        aHandler.m_sUNOName = ::utl::extractFirstFromConfigurationPath( lNames[ nOrigin ] );
 
         // unpack all values of this handler
         css::uno::Sequence< OUString > lTemp;
-        lValues[nTarget] >>= lTemp;
+        lValues[ nRecipient ] >>= lTemp;
         aHandler.m_lProtocols = Converter::convert_seqOUString2OUStringList(lTemp);
 
         // register his pattern into the performance search hash
@@ -244,12 +244,12 @@ void HandlerCFGAccess::read( HandlerHash** ppHandler ,
                                     pItem!=aHandler.m_lProtocols.end();
                                     ++pItem                             )
         {
-            (**ppPattern)[*pItem] = lNames[nSource];
+            (**ppPattern)[*pItem] = lNames[ nOrigin ];
         }
 
         // insert the handler info into the normal handler cache
-        (**ppHandler)[lNames[nSource]] = aHandler;
-        ++nSource;
+        (**ppHandler)[lNames[ nOrigin ]] = aHandler;
+        ++nOrigin;
     }
 }
 
diff --git a/framework/source/fwi/threadhelp/transactionmanager.cxx b/framework/source/fwi/threadhelp/transactionmanager.cxx
index a6d8efc..b15e89d 100644
--- a/framework/source/fwi/threadhelp/transactionmanager.cxx
+++ b/framework/source/fwi/threadhelp/transactionmanager.cxx
@@ -27,10 +27,10 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short      standard ctor
     @descr      Initialize instance with right start values for correct working.
-*//*-*************************************************************************************************************/
+*/
 TransactionManager::TransactionManager()
     : m_eWorkingMode      ( E_INIT )
     , m_nTransactionCount ( 0      )
@@ -38,14 +38,14 @@ TransactionManager::TransactionManager()
     m_aBarrier.open();
 }
 
-/*-************************************************************************************************************
+/*
     @short      standard dtor
-*//*-*************************************************************************************************************/
+*/
 TransactionManager::~TransactionManager()
 {
 }
 
-/*-****************************************************************************************************
+/*
     @short      set new working mode
     @descr      These implementation knows for states of working: E_INIT, E_WORK, E_BEFORECLOSE, E_CLOSE
                 You can step during this ones only from the left to the right side and start at left side again!
@@ -66,7 +66,7 @@ TransactionManager::~TransactionManager()
                                         It's your decision to react in a right way.
     @param      "eMode", is the new mode - but we don't accept setting mode in wrong order!
     @onerror    We do nothing.
-*//*-*****************************************************************************************************/
+*/
 void  TransactionManager::setWorkingMode( EWorkingMode eMode )
 {
     // Safe member access.
@@ -99,7 +99,7 @@ void  TransactionManager::setWorkingMode( EWorkingMode eMode )
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      get current working mode
     @descr      If you stand in your close() or init() method ... but don't know
                 if you called more than ones(!) ... you can use this function to get
@@ -134,7 +134,7 @@ void  TransactionManager::setWorkingMode( EWorkingMode eMode )
     @return     Current set mode.
 
     @onerror    No error should occur.
-*//*-*****************************************************************************************************/
+*/
 EWorkingMode TransactionManager::getWorkingMode() const
 {
     // Synchronize access to internal member!
@@ -142,7 +142,7 @@ EWorkingMode TransactionManager::getWorkingMode() const
     return m_eWorkingMode;
 }
 
-/*-****************************************************************************************************
+/*
     @short      start new transaction
     @descr      A guard should use this method to start a new transaction. He should looks for rejected
                 calls to by using parameter eMode and eReason.
@@ -152,7 +152,7 @@ EWorkingMode TransactionManager::getWorkingMode() const
     @seealso    method unregisterTransaction()
 
     @param      "eMode"     ,used to enable/disable throwing exceptions automatically for rejected calls
-*//*-*****************************************************************************************************/
+*/
 void  TransactionManager::registerTransaction( EExceptionMode eMode ) throw( css::uno::RuntimeException, css::lang::DisposedException )
 {
     ::osl::MutexGuard aAccessGuard( m_aAccessLock );
@@ -192,12 +192,12 @@ void  TransactionManager::registerTransaction( EExceptionMode eMode ) throw( css
     }
 }
 
-/*-****************************************************************************************************
+/*
     @short      finish transaction
     @descr      A guard should call this method to release current transaction.
 
     @seealso    method registerTransaction()
-*//*-*****************************************************************************************************/
+*/
 void  TransactionManager::unregisterTransaction() throw( css::uno::RuntimeException, css::lang::DisposedException )
 {
     // This call could not rejected!
diff --git a/framework/source/helper/ocomponentaccess.cxx b/framework/source/helper/ocomponentaccess.cxx
index 6b13cec..907074a 100644
--- a/framework/source/helper/ocomponentaccess.cxx
+++ b/framework/source/helper/ocomponentaccess.cxx
@@ -20,7 +20,7 @@
 #include <helper/ocomponentaccess.hxx>
 #include <helper/ocomponentenumeration.hxx>
 
-#include <com/sun/star/frame/FrameSearchFlag.hpp>
+#include <com/sun/star/frame/FrameSearchOption.hpp>
 
 #include <vcl/svapp.hxx>
 
@@ -33,17 +33,12 @@ using namespace ::com::sun::star::uno;
 using namespace ::cppu;
 using namespace ::osl;
 
-//  constructor
-
 OComponentAccess::OComponentAccess( const css::uno::Reference< XDesktop >& xOwner )
         :   m_xOwner        ( xOwner                        )
 {
-    // Safe impossible cases
-    SAL_WARN_IF( !impldbg_checkParameter_OComponentAccessCtor( xOwner ), "fwk", "OComponentAccess::OComponentAccess(): Invalid parameter detected!" );
+    SAL_WARN_IF( !xOwner.is(), "fwk", "OComponentAccess(): met a null xOwner" );
 }
 
-//  destructor
-
 OComponentAccess::~OComponentAccess()
 {
 }
@@ -116,7 +111,7 @@ void OComponentAccess::impl_collectAllChildComponents(  const css::uno::Referenc
         // and go down to next level in tree (recursive!).
 
         const css::uno::Reference< XFrames >                xContainer  = xNode->getFrames();
-        const Sequence< css::uno::Reference< XFrame > > seqFrames   = xContainer->queryFrames( FrameSearchFlag::CHILDREN );
+        const Sequence< css::uno::Reference< XFrame > > seqFrames   = xContainer->queryFrames( FrameSearchOption::Children );
 
         const sal_Int32 nFrameCount = seqFrames.getLength();
         for( sal_Int32 nFrame=0; nFrame<nFrameCount; ++nFrame )
@@ -161,23 +156,6 @@ css::uno::Reference< XComponent > OComponentAccess::impl_getFrameComponent( cons
     return xComponent;
 }
 
-//  debug methods
-
-/*-----------------------------------------------------------------------------------------------------------------
-    The follow methods checks the parameter for other functions. If a parameter or his value is non valid,
-    we return "sal_False". (else sal_True) This mechanism is used to throw an ASSERT!
-
-    ATTENTION
-
-        If you miss a test for one of this parameters, contact the author or add it himself !(?)
-        But ... look for right testing! See using of this methods!
------------------------------------------------------------------------------------------------------------------*/
-
-bool OComponentAccess::impldbg_checkParameter_OComponentAccessCtor( const   css::uno::Reference< XDesktop >&      xOwner  )
-{
-    return xOwner.is();
 }
 
-}       //  namespace framework
-
 /* vim:set shiftwidth=4 softtabstop=4 expandtab: */
